Package: org.codehaus.groovy.util

## [Java] Class EntryWithValue<K, V>

- org.codehaus.groovy.util.ManagedConcurrentMap.EntryWithValue

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ManagedConcurrentMap.EntryWithValue (ReferenceBundle bundle, Segment segment, K key, int hash, V value)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `finalizeReference()`
    `` | `V` | `getValue()`
    `` | `void` | `setValue(V value)`

- - ### Constructor Detail

    - #### public ManagedConcurrentMap.EntryWithValue(ReferenceBundle bundle, Segment segment, K key, int hash, V value)

  - ### Method Detail

    - #### @Override public void finalizeReference()

    - #### @Override public V getValue()

    - #### @Override public void setValue(V value)